WPS8PLCInternal::PLC Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
WPS8PLCInternal::PLC Struct Reference

Internal and low level: the PLC different types and their structures. More...

## Public Types
enum | Position { P_ABS =0, P_MREL, P_ZREL, P_MINCR, P_ZINCR, P_UNKNOWN }
| the way to define the text positions More...
enum | Type { T_CST =0, T_STRUCT, T_COMPLEX, T_UNKNOWN }
| the type of the content More...
typedef enum WPS8TextInternal::PLCType | PLCType
| the PLC types More...

## Public Member Functions
| PLC (PLCType w=WPS8TextInternal::Unknown, Position p=P_UNKNOWN, Type t=T_UNKNOWN)
| constructor More...

## Public Attributes
PLCType | m_type
| PLC type. More...
Position | m_pos
| the way to define the text positions More...
Type | m_contentType
| the type of the content More...

## Detailed Description

Internal and low level: the PLC different types and their structures.

## Member Typedef Documentation

## § PLCType

typedef enum WPS8TextInternal::PLCType WPS8PLCInternal::PLC::PLCType

the PLC types

## Member Enumeration Documentation

## § Position

enum WPS8PLCInternal::PLC::Position

the way to define the text positions

- P_ABS: absolute position,
- P_MREL: position are relative to the beginning of the main text offset,
- P_MINCR: position are the length of text consecutive zones in the main text offset,
- P_ZREL: position are relative to the beginning of a specific text offset,
- P_ZINCR: position are the length of text consecutive zones in a specific text offset

Enumerator
P_ABS |
P_MREL |
P_ZREL |
P_MINCR |
P_ZINCR |
P_UNKNOWN |

## § Type

enum WPS8PLCInternal::PLC::Type

the type of the content

- T_CST: size is constant
- T_STRUCT: a structured type ( which unknown size)
- T_COMPLEX: a complex way to define content in many parts

Enumerator
T_CST |
T_STRUCT |
T_COMPLEX |
T_UNKNOWN |

## Constructor & Destructor Documentation

## § PLC()

WPS8PLCInternal::PLC::PLC | ( | PLCType | w = `WPS8TextInternal::Unknown`,
|  | Position | p = `P_UNKNOWN`,
|  | Type | t = `T_UNKNOWN`
| ) |  |
| inline

constructor

## Member Data Documentation

## § m_contentType

Type WPS8PLCInternal::PLC::m_contentType

the type of the content

Referenced by WPS8Text::readPLC().

## § m_pos

Position WPS8PLCInternal::PLC::m_pos

the way to define the text positions

Referenced by WPS8Text::readPLC().

## § m_type

PLCType WPS8PLCInternal::PLC::m_type

PLC type.

Referenced by WPS8Text::readPLC().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp